JavaComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.api.component.JavaComponent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.component
Interface JavaComponent

All Superinterfaces:
  Component, Disposable, Initialisable, Lifecycle, Startable, Stoppable

All Known Implementing Classes:
  AbstractJavaComponent, DefaultJavaComponent, JcaComponent, PooledJavaComponent, SimpleCallableJavaComponent

    public interface JavaComponent

extends Component

`JavaComponent` is a Java `Component` implementation used to invoke Java component implementations. A `JavaComponent` uses an `ObjectFactory` to specify the object instance's source and allows for singleton and prototype implementations to be used along with other custom `ObjectFactory` that allow component instances to be obtained from containers such as Spring. A `JavaComponent` uses a customizable `EntryPointResolverSet` in order to resolve which method should be used for invocation and allows java bindings to be configure. Java Component bindings, if implemented by the JavaComponent implementation, uses a component instance proxy to implement interface methods using calls to outbound endpoints.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`BindingCollection` | `getBindingCollection()`
`EntryPointResolverSet` | `getEntryPointResolverSet()` A `JavaComponent` can have a custom entry-point resolver for its own object.
`LifecycleAdapterFactory` | `getLifecycleAdapterFactory()` Returns the factory used create life-cycle adaptors that are used to wrap component instance.
`ObjectFactory` | `getObjectFactory()`
`Class` | `getObjectType()`
`void` | `setBindingCollection(BindingCollection bindingCollection)`
`void` | `setEntryPointResolverSet(EntryPointResolverSet entryPointResolverSet)` A `JavaComponent` can have a custom entry-point resolver for its own object.
`void` | `setLifecycleAdapterFactory(LifecycleAdapterFactory lifecycleAdaptor)` Sets the factory used create life-cycle adaptors that are used to wrap component instance.
`void` | `setObjectFactory(ObjectFactory objectFactory)` The object factory used to obtain the component object instance.

Methods inherited from interface org.mule.api.component.Component
`getService, getStatistics, invoke, setService`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### getEntryPointResolverSet

    EntryPointResolverSet getEntryPointResolverSet()

  A `JavaComponent` can have a custom entry-point resolver for its own object. By default this is null. When set this resolver will override the resolver on the model

  Returns:
    Null is a resolver set has not been set otherwise the resolver to use on this service

### setEntryPointResolverSet

    void setEntryPointResolverSet(EntryPointResolverSet entryPointResolverSet)

  A `JavaComponent` can have a custom entry-point resolver for its own object. By default this is null. When set this resolver will override the resolver on the model

### getBindingCollection

    BindingCollection getBindingCollection()

### setBindingCollection

    void setBindingCollection(BindingCollection bindingCollection)

### setObjectFactory

    void setObjectFactory(ObjectFactory objectFactory)

  The object factory used to obtain the component object instance. Mule core provides two implementations: `SingletonObjectFactory` and `PrototypeObjectFactory`.
  The spring-config module provides an `ObjectFactory` implementation that delegates to spring. There is no PooledObjectFactory, the `PooledJavaComponent` should be used for pooling.

  Parameters:
    `objectFactory` -

### getObjectFactory

    ObjectFactory getObjectFactory()

  Returns:

### getObjectType

    Class getObjectType()

  Returns:

### getLifecycleAdapterFactory

    LifecycleAdapterFactory getLifecycleAdapterFactory()

  Returns the factory used create life-cycle adaptors that are used to wrap component instance.

  Returns:

### setLifecycleAdapterFactory

    void setLifecycleAdapterFactory(LifecycleAdapterFactory lifecycleAdaptor)

  Sets the factory used create life-cycle adaptors that are used to wrap component instance.

  Parameters:
    `lifecycleAdaptor` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.